Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.datasource
Interface ResourceTransaction

All Known Implementing Classes:
  XAResourceTransaction

    public interface ResourceTransaction

The notion of a local transaction executed on a resource. Serves as a handle towards the transaction management module.

Method Summary
`void` | `addHeuristicMessage(HeuristicMessage mesg)` Adds heuristic resolution information.
`HeuristicMessage[]` | `getHeuristicMessages()`
`String` | `getTid()`
`void` | `resume()` Resumes a previously suspended tx.
`void` | `suspend()` Suspends the work, so that underlying resources can be used for a next (sibling) invocation.

Method Detail

### getTid

    String getTid()

  Returns:
    String A unique identifier, as determined by resource.

### addHeuristicMessage

    void addHeuristicMessage(HeuristicMessage mesg)
                             throws IllegalStateException

  Adds heuristic resolution information.

  Parameters:
    `mesg` - The heuristic message.
  Throws:
    `IllegalStateException` - If no longer active.

### getHeuristicMessages

    HeuristicMessage[] getHeuristicMessages()

  Returns:
    HeuristicMessage[] An array of messages, or null if none.

### suspend

    void suspend()
                 throws IllegalStateException,
                        ResourceException

  Suspends the work, so that underlying resources can be used for a next (sibling) invocation.

  Throws:
    `IllegalStateException`
    `ResourceException`

### resume

    void resume()
                throws IllegalStateException,
                       ResourceException

  Resumes a previously suspended tx.

  Throws:
    `IllegalStateException`
    `ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.